﻿using AutoMapper;
using Sandbox.Core.Infrastructure.Data.Repositories;
using Sandbox.Core.Models;
using Sandbox.Infrastructure.Data.Repositories;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sandbox.Infrastructure.Extensions.Data
{
    public static partial class ServiceCollectionExtensions
    {
        public static void AddRepositories(this IServiceCollection services, IConfiguration configuration)
        {
            services.AddScoped<IReferentialRepository, ReferentialRepository>();
            services.AddScoped<DocuSignDbContext>();
            services.AddDbContext<AutoGeneratedDbContext>(options =>
            {
                options.UseSqlServer(configuration.GetConnectionString("DefaultConnection"));
                options.EnableDetailedErrors();
                options.EnableSensitiveDataLogging();
            });
        }
    }
}
